tigase.server

## Class MessageRouterConfig

- java.lang.Object
- - tigase.server.MessageRouterConfig

-     public class MessageRouterConfig
      extends Object

  Describe class MessageRouterConfig here. Created: Fri Jan 6 14:54:21 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DISCO_NAME_PROP_KEY` Field description
    `static String` | `DISCO_NAME_PROP_VAL` Field description
    `static String` | `DISCO_SHOW_VERSION_PROP_KEY` Field description
    `static boolean` | `DISCO_SHOW_VERSION_PROP_VAL` Field description
    `static String` | `LOCAL_ADDRESSES_PROP_KEY` Field description
    `static String` | `MSG_RECEIVERS_NAMES_PROP_KEY` Field description
    `static String` | `MSG_RECEIVERS_PROP_KEY` Field description
    `static String` | `REGISTRATOR_NAMES_PROP_KEY` Field description
    `static String` | `REGISTRATOR_PROP_KEY` Field description
    `static String` | `UPDATES_CHECKING_INTERVAL_PROP_KEY` Field description
    `static long` | `UPDATES_CHECKING_INTERVAL_PROP_VAL` Field description
    `static String` | `UPDATES_CHECKING_PROP_KEY` Field description
    `static Boolean` | `UPDATES_CHECKING_PROP_VAL` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageRouterConfig(Map<String,Object> props)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `componentClassEquals(String cls_name, Class<? extends ServerComponent> currCls)` Method description
    `static void` | `getDefaults(Map<String,Object> defs, Map<String,Object> params, String comp_name)` Method description
    `String[]` | `getMsgRcvActiveNames()` Method description
    `String[]` | `getMsgRcvInactiveNames()` Method description
    `ServerComponent` | `getMsgRcvInstance(String name)` Method description
    `ComponentRegistrator` | `getRegistrInstance(String name)` Method description
    `String[]` | `getRegistrNames()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCO_NAME_PROP_KEY

          public static final String DISCO_NAME_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### DISCO_SHOW_VERSION_PROP_KEY

          public static final String DISCO_SHOW_VERSION_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### LOCAL_ADDRESSES_PROP_KEY

          public static final String LOCAL_ADDRESSES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MSG_RECEIVERS_PROP_KEY

          public static final String MSG_RECEIVERS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### REGISTRATOR_PROP_KEY

          public static final String REGISTRATOR_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### UPDATES_CHECKING_INTERVAL_PROP_KEY

          public static final String UPDATES_CHECKING_INTERVAL_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### UPDATES_CHECKING_INTERVAL_PROP_VAL

          public static final long UPDATES_CHECKING_INTERVAL_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### UPDATES_CHECKING_PROP_KEY

          public static final String UPDATES_CHECKING_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MSG_RECEIVERS_NAMES_PROP_KEY

          public static final String MSG_RECEIVERS_NAMES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### UPDATES_CHECKING_PROP_VAL

          public static final Boolean UPDATES_CHECKING_PROP_VAL

      Field description

    - #### REGISTRATOR_NAMES_PROP_KEY

          public static final String REGISTRATOR_NAMES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### DISCO_SHOW_VERSION_PROP_VAL

          public static final boolean DISCO_SHOW_VERSION_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### DISCO_NAME_PROP_VAL

          public static final String DISCO_NAME_PROP_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageRouterConfig

          public MessageRouterConfig(Map<String,Object> props)

      Constructs ...
      Parameters:
        `props` -

  - ### Method Detail

    - #### componentClassEquals

          public boolean componentClassEquals(String cls_name,
                                     Class<? extends ServerComponent> currCls)

      Method description
      Parameters:
        `cls_name` -
        `currCls` -
      Returns:
        a value of `boolean`

    - #### getDefaults

          public static void getDefaults(Map<String,Object> defs,
                         Map<String,Object> params,
                         String comp_name)

      Method description
      Parameters:
        `defs` -
        `params` -
        `comp_name` -

    - #### getMsgRcvActiveNames

          public String[] getMsgRcvActiveNames()

      Method description
      Returns:
        a value of `String[]`

    - #### getMsgRcvInactiveNames

          public String[] getMsgRcvInactiveNames()

      Method description
      Returns:
        a value of `String[]`

    - #### getMsgRcvInstance

          public ServerComponent getMsgRcvInstance(String name)
                                            throws ClassNotFoundException,
                                                   InstantiationException,
                                                   IllegalAccessException

      Method description
      Parameters:
        `name` -
      Returns:
        a value of `ServerComponent`
      Throws:
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

    - #### getRegistrInstance

          public ComponentRegistrator getRegistrInstance(String name)
                                                  throws ClassNotFoundException,
                                                         InstantiationException,
                                                         IllegalAccessException

      Method description
      Parameters:
        `name` -
      Returns:
        a value of `ComponentRegistrator`
      Throws:
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

    - #### getRegistrNames

          public String[] getRegistrNames()

      Method description
      Returns:
        a value of `String[]`

Copyright © 2014 "Tigase, Inc.". All rights reserved.